libetonyek::IWORKPath Class Reference

`#include <IWORKPath.h>`

## Classes
struct | InvalidException
struct | Impl

## Public Member Functions
| IWORKPath ()
| IWORKPath (const std::string &path)
| IWORKPath (const IWORKPath &other)
IWORKPath & | operator= (const IWORKPath &other)
void | swap (IWORKPath &other)
void | clear ()
bool | empty () const
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendQCurveTo (double x1, double y1, double x, double y)
void | appendCCurveTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendClose ()
void | closePath (bool closeOnlyIsSamePoint=true)
void | computeBoundingBox (double &minX, double &minY, double &maxX, double &maxY, double factor=1) const
bool | isRectangle () const
void | operator*= (const glm::dmat3 &tr)
| Transform all elements of the path.
const std::string | str () const
void | write (librevenge::RVNGPropertyListVector &vec, double deltaX=0, double deltaY=0) const
| Create librevenge representation of this path.

## Private Attributes
std::shared_ptr< Impl > | m_impl

## Friends
bool | approxEqual (const IWORKPath &left, const IWORKPath &right, const double eps=ETONYEK_EPSILON)

## Constructor & Destructor Documentation

## ◆ IWORKPath() [1/3]

libetonyek::IWORKPath::IWORKPath | ( |  | ) |

Referenced by approxEqual, IWORKPath(), operator=(), and swap().

## ◆ IWORKPath() [2/3]

libetonyek::IWORKPath::IWORKPath | ( | const std::string & | path | ) |
| explicit

## ◆ IWORKPath() [3/3]

libetonyek::IWORKPath::IWORKPath | ( | const IWORKPath & | other | ) |

## Member Function Documentation

## ◆ appendCCurveTo()

void libetonyek::IWORKPath::appendCCurveTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y )

## ◆ appendClose()

void libetonyek::IWORKPath::appendClose | ( |  | ) |

## ◆ appendLineTo()

void libetonyek::IWORKPath::appendLineTo | ( | double | x,
|  | double | y )

## ◆ appendMoveTo()

void libetonyek::IWORKPath::appendMoveTo | ( | double | x,
|  | double | y )

## ◆ appendQCurveTo()

void libetonyek::IWORKPath::appendQCurveTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y )

## ◆ clear()

void libetonyek::IWORKPath::clear | ( |  | ) |

## ◆ closePath()

void libetonyek::IWORKPath::closePath | ( | bool | closeOnlyIsSamePoint = true | ) |

## ◆ computeBoundingBox()

void libetonyek::IWORKPath::computeBoundingBox | ( | double & | minX,
|  | double & | minY,
|  | double & | maxX,
|  | double & | maxY,
|  | double | factor = 1 ) const

## ◆ empty()

bool libetonyek::IWORKPath::empty | ( |  | ) | const

## ◆ isRectangle()

bool libetonyek::IWORKPath::isRectangle | ( |  | ) | const

## ◆ operator*=()

void libetonyek::IWORKPath::operator*= | ( | const glm::dmat3 & | tr | ) |

Transform all elements of the path.

- [in] tr the transformation

## ◆ operator=()

IWORKPath & libetonyek::IWORKPath::operator= | ( | const IWORKPath & | other | ) |

## ◆ str()

const std::string libetonyek::IWORKPath::str | ( |  | ) | const

## ◆ swap()

void libetonyek::IWORKPath::swap | ( | IWORKPath & | other | ) |

## ◆ write()

void libetonyek::IWORKPath::write | ( | librevenge::RVNGPropertyListVector & | vec,
|  | double | deltaX = 0,
|  | double | deltaY = 0 ) const

Create librevenge representation of this path.

## Friends And Related Symbol Documentation

## ◆ approxEqual

bool approxEqual | ( | const IWORKPath & | left,
|  | const IWORKPath & | right,
|  | const double | eps = ETONYEK_EPSILON )
| friend

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<Impl> libetonyek::IWORKPath::m_impl
| private

The documentation for this class was generated from the following file:

- IWORKPath.h